﻿using System.ComponentModel;
using System.Globalization;
using Telerik.Windows.Controls.Map;

namespace DraggablePinPoints
{
    public class Employee : INotifyPropertyChanged
    {
        public string Name
        {
            get;
            set;
        }

        public string Address
        {
            get;
            set;
        }

        public string Tooltip
        {
            get
            {
				return Name + ", " + Address + " (" + this.location.ToString(CultureInfo.InvariantCulture) + ")";
            }
        }

        private Location location;
        public Location Location
        {
            get
            {
                return this.location;
            }
            set
            {
                this.location = value;
                this.NotifyPropertyChanged("Location");
				this.NotifyPropertyChanged("Tooltip");
			}
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(string propName)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(propName));
            }
        }
    }
}
